require("configs.packages").setup()
require("configs.options").setup()

-- vsnip {{{
vim.cmd 'imap <expr> <Tab>   vsnip#jumpable(1)   ? \'<Plug>(vsnip-jump-next)\'      : \'<Tab>\''
vim.cmd 'smap <expr> <Tab>   vsnip#jumpable(1)   ? \'<Plug>(vsnip-jump-next)\'      : \'<Tab>\''
vim.cmd 'imap <expr> <S-Tab> vsnip#jumpable(-1)  ? \'<Plug>(vsnip-jump-prev)\'      : \'<S-Tab>\''
vim.cmd 'smap <expr> <S-Tab> vsnip#jumpable(-1)  ? \'<Plug>(vsnip-jump-prev)\'      : \'<S-Tab>\''
-- vsnip }}}

-- dressing.nvim {{{
require('dressing').setup({
  input = {
    relative = "editor",
  },
})

-- }}}

-- Indent lines {{{
vim.g.indent_blankline_filetype_exclude = { 'help', 'NvimTree', 'TelescopePrompt', 'lspinfo' }
vim.g.indent_blankline_buftype_exclude = { 'terminal', 'nofile', 'prompt' }
-- indent lines }}}

-- NEORAY {{{
vim.o.guifont = "Noto Sans Mono:14h"
vim.cmd [[
  if exists('g:neoray')
    NeoraySet CursorAnimTime 0
    NeoraySet Transparency   0.95
    NeoraySet TargetTPS      120
    NeoraySet ContextMenuOn  FALSE
    NeoraySet BoxDrawingOn   TRUE
    NeoraySet WindowSize     100x40
    NeoraySet WindowState    none
    NeoraySet KeyZoomIn      <>
    NeoraySet KeyZoomOut     <>
  endif ]]

-- }}}

require("configs.colors")

-- }}}

-- {{{ LAYA
vim.cmd [[
  augroup layaAbbrevs
    autocmd BufRead,BufNewFile ~/jopixel/**/*.php iabbrev <buffer> TR $this->obtainer()->translator()->t();<Left><Left>
    autocmd BufRead,BufNewFile ~/jopixel/**/*.php iabbrev <buffer> TI $this->obtainer()->translator()->t()<Left>
    autocmd BufRead,BufNewFile ~/jopixel/**/*.php iabbrev <buffer> LOG $this->obtainer()->logger()->log();<Left><Left>
    autocmd BufRead,BufNewFile ~/jopixel/**/*.php iabbrev <buffer> DBG $this->obtainer()->logger()->log('debug', 'debug',);<Left><Left>
    autocmd BufRead,BufNewFile ~/jopixel/**/*.php iabbrev <buffer> PROD $this->producer()
    autocmd BufRead,BufNewFile ~/jopixel/**/*.php iabbrev <buffer> FILE $this->producer()->file()<Left>
    autocmd BufRead,BufNewFile ~/jopixel/**/*.php iabbrev <buffer> LINK $this->producer()->link($this, '')<Left><Left>
    autocmd BufRead,BufNewFile ~/jopixel/**/*.php iabbrev <buffer> NW $this->obtainer()->notifications()->warning();<Left><Left>
    autocmd BufRead,BufNewFile ~/jopixel/**/*.php iabbrev <buffer> NS $this->obtainer()->notifications()->success();<Left><Left>
  augroup END
]]
-- }}} LAYA

-- vim: sw=2: ts=2: fdm=marker:
