local M = {}

function M.setup()
    vim.o.ruler = true
    vim.o.mouse = ''
    vim.o.showcmd = true
    vim.o.scrolloff = 3
    vim.o.ignorecase = true
    vim.o.smartcase = true
    vim.o.incsearch = true
    vim.o.inccommand = 'split'
    vim.o.hidden = true
    vim.o.autoread = true
    vim.o.completeopt = 'menuone,noinsert,noselect'
    vim.o.tabstop = 4
    vim.o.softtabstop = 4
    vim.o.swapfile = true
    vim.o.undofile = true
    vim.o.expandtab = true
    vim.o.shiftwidth = 4
    vim.o.number = true
    --vim.o.colorcolumn=0
    vim.o.foldmethod='marker'
    vim.o.foldcolumn = 'auto:1'
    vim.o.signcolumn = 'yes'
    vim.o.list = false
    vim.o.relativenumber = false
    vim.o.foldenable = true
    vim.o.cursorline = true
    vim.o.autoindent = true
    vim.o.smartindent = true
    vim.o.fileencodings = 'ucs-bom,utf-8,default,windows-1250,cp852'
    vim.o.path = '**'
    --vim.o.clipboard = "unnamedplus"

    -- Buffer
    vim.cmd([[
        augroup forceRecheck
            au FocusGained,BufEnter * :silent! !
        augroup END
    ]])
end

return M
